﻿using System; 
using System.Reflection; 
namespace Mengma.Model { 
    


    /// <summary>
    /// 类别（Categories）   
    /// </summary>    
    /// <remarks>
    /// 项目名称：WebForm_三层架构Asp.Net经典MSSQL版
    /// 创 建 人：Administrator
    /// 创建日期：2013年10月04日 22:50:49
    /// </remarks>
	public class Categories{ 	

		#region 私有属性成员 

       int m_CategoryID;       //类别ID 
       string m_CategoryName;  //类别名称 
       string m_Description;   //说明 
       string m_Picture;       //图片 
 
		#endregion
		
		#region 构造函数 Constructors 
		public Categories(){
            m_CategoryID = 0;
            m_CategoryName = "";
            m_Description = "";
            m_Picture = "";

		}

		public Categories(int CategoryID,string CategoryName,string Description,string Picture){
             m_CategoryID = CategoryID;
             m_CategoryName = CategoryName;
             m_Description = Description;
             m_Picture = Picture;
           
		}
		#endregion
		
		#region 公共属性成员 


		/// <summary>
		/// 类别ID
		/// </summary>
		public int CategoryID
		{
			get { return m_CategoryID;}
			set { m_CategoryID = value;}
		}

		/// <summary>
		/// 类别名称
		/// </summary>
		public string CategoryName
		{
			get { return m_CategoryName;}
			set { m_CategoryName = value;}
		}

		/// <summary>
		/// 说明
		/// </summary>
		public string Description
		{
			get { return m_Description;}
			set { m_Description = value;}
		}

		/// <summary>
		/// 图片
		/// </summary>
		public string Picture
		{
			get { return m_Picture;}
			set { m_Picture = value;}
		}
      
		#endregion
			     
	}
}