﻿using System; 
using System.Reflection; 
namespace Mengma.Model { 
    


    /// <summary>
    /// 客户（Customers）   
    /// </summary>    
    /// <remarks>
    /// 项目名称：WebForm_三层架构Asp.Net经典MSSQL版
    /// 创 建 人：Administrator
    /// 创建日期：2013年10月04日 22:50:49
    /// </remarks>
	public class Customers{ 	

		#region 私有属性成员 

       string m_CustomerID;    //客户ID 
       string m_CompanyName;   //公司名称 
       string m_ContactName;   //联系人姓名 
       string m_ContactTitle;  //联系人职位 
       string m_Address;       //地址 
       string m_City;          //城市 
       string m_Region;        //地区 
       string m_PostalCode;    //邮政编码 
       string m_Country;       //国家 
       string m_Phone;         //电话 
       string m_Fax;           //传真 
 
		#endregion
		
		#region 构造函数 Constructors 
		public Customers(){
            m_CustomerID = "";
            m_CompanyName = "";
            m_ContactName = "";
            m_ContactTitle = "";
            m_Address = "";
            m_City = "";
            m_Region = "";
            m_PostalCode = "";
            m_Country = "";
            m_Phone = "";
            m_Fax = "";

		}

		public Customers(string CustomerID,string CompanyName,string ContactName,string ContactTitle,string Address,string City,string Region,string PostalCode,string Country,string Phone,string Fax){
             m_CustomerID = CustomerID;
             m_CompanyName = CompanyName;
             m_ContactName = ContactName;
             m_ContactTitle = ContactTitle;
             m_Address = Address;
             m_City = City;
             m_Region = Region;
             m_PostalCode = PostalCode;
             m_Country = Country;
             m_Phone = Phone;
             m_Fax = Fax;
           
		}
		#endregion
		
		#region 公共属性成员 


		/// <summary>
		/// 客户ID
		/// </summary>
		public string CustomerID
		{
			get { return m_CustomerID;}
			set { m_CustomerID = value;}
		}

		/// <summary>
		/// 公司名称
		/// </summary>
		public string CompanyName
		{
			get { return m_CompanyName;}
			set { m_CompanyName = value;}
		}

		/// <summary>
		/// 联系人姓名
		/// </summary>
		public string ContactName
		{
			get { return m_ContactName;}
			set { m_ContactName = value;}
		}

		/// <summary>
		/// 联系人职位
		/// </summary>
		public string ContactTitle
		{
			get { return m_ContactTitle;}
			set { m_ContactTitle = value;}
		}

		/// <summary>
		/// 地址
		/// </summary>
		public string Address
		{
			get { return m_Address;}
			set { m_Address = value;}
		}

		/// <summary>
		/// 城市
		/// </summary>
		public string City
		{
			get { return m_City;}
			set { m_City = value;}
		}

		/// <summary>
		/// 地区
		/// </summary>
		public string Region
		{
			get { return m_Region;}
			set { m_Region = value;}
		}

		/// <summary>
		/// 邮政编码
		/// </summary>
		public string PostalCode
		{
			get { return m_PostalCode;}
			set { m_PostalCode = value;}
		}

		/// <summary>
		/// 国家
		/// </summary>
		public string Country
		{
			get { return m_Country;}
			set { m_Country = value;}
		}

		/// <summary>
		/// 电话
		/// </summary>
		public string Phone
		{
			get { return m_Phone;}
			set { m_Phone = value;}
		}

		/// <summary>
		/// 传真
		/// </summary>
		public string Fax
		{
			get { return m_Fax;}
			set { m_Fax = value;}
		}
      
		#endregion
			     
	}
}