﻿using System; 
using System.Reflection; 
namespace Mengma.Model { 
    


    /// <summary>
    /// 雇员（Employees）   
    /// </summary>    
    /// <remarks>
    /// 项目名称：WebForm_三层架构Asp.Net经典MSSQL版
    /// 创 建 人：Administrator
    /// 创建日期：2013年10月04日 22:50:49
    /// </remarks>
	public class Employees{ 	

		#region 私有属性成员 

       int m_EmployeeID;          //雇员ID 
       string m_LastName;         //姓氏 
       string m_FirstName;        //名称 
       string m_Title;            //职位 
       string m_TitleOfCourtesy;  //尊称 
       DateTime m_BirthDate;      //出生日期 
       DateTime m_HireDate;       //雇用日期 
       string m_Address;          //地址 
       string m_City;             //城市 
       string m_Region;           //地区 
       string m_PostalCode;       //邮政编码 
       string m_Country;          //国家 
       string m_HomePhone;        //家庭电话 
       string m_Extension;        //电话分机 
       string m_Photo;            //照片 
       string m_Notes;            //备注 
       int m_ReportsTo;           //上级雇员 
       string m_PhotoPath;        //图片路径 
 
		#endregion
		
		#region 构造函数 Constructors 
		public Employees(){
            m_EmployeeID = 0;
            m_LastName = "";
            m_FirstName = "";
            m_Title = "";
            m_TitleOfCourtesy = "";
            m_BirthDate = System.DateTime.Now;
            m_HireDate = System.DateTime.Now;
            m_Address = "";
            m_City = "";
            m_Region = "";
            m_PostalCode = "";
            m_Country = "";
            m_HomePhone = "";
            m_Extension = "";
            m_Photo = "";
            m_Notes = "";
            m_ReportsTo = 0;
            m_PhotoPath = "";

		}

		public Employees(int EmployeeID,string LastName,string FirstName,string Title,string TitleOfCourtesy,DateTime BirthDate,DateTime HireDate,string Address,string City,string Region,string PostalCode,string Country,string HomePhone,string Extension,string Photo,string Notes,int ReportsTo,string PhotoPath){
             m_EmployeeID = EmployeeID;
             m_LastName = LastName;
             m_FirstName = FirstName;
             m_Title = Title;
             m_TitleOfCourtesy = TitleOfCourtesy;
             m_BirthDate = BirthDate;
             m_HireDate = HireDate;
             m_Address = Address;
             m_City = City;
             m_Region = Region;
             m_PostalCode = PostalCode;
             m_Country = Country;
             m_HomePhone = HomePhone;
             m_Extension = Extension;
             m_Photo = Photo;
             m_Notes = Notes;
             m_ReportsTo = ReportsTo;
             m_PhotoPath = PhotoPath;
           
		}
		#endregion
		
		#region 公共属性成员 


		/// <summary>
		/// 雇员ID
		/// </summary>
		public int EmployeeID
		{
			get { return m_EmployeeID;}
			set { m_EmployeeID = value;}
		}

		/// <summary>
		/// 姓氏
		/// </summary>
		public string LastName
		{
			get { return m_LastName;}
			set { m_LastName = value;}
		}

		/// <summary>
		/// 名称
		/// </summary>
		public string FirstName
		{
			get { return m_FirstName;}
			set { m_FirstName = value;}
		}

		/// <summary>
		/// 职位
		/// </summary>
		public string Title
		{
			get { return m_Title;}
			set { m_Title = value;}
		}

		/// <summary>
		/// 尊称
		/// </summary>
		public string TitleOfCourtesy
		{
			get { return m_TitleOfCourtesy;}
			set { m_TitleOfCourtesy = value;}
		}

		/// <summary>
		/// 出生日期
		/// </summary>
		public DateTime BirthDate
		{
			get { return m_BirthDate;}
			set { m_BirthDate = value;}
		}

		/// <summary>
		/// 雇用日期
		/// </summary>
		public DateTime HireDate
		{
			get { return m_HireDate;}
			set { m_HireDate = value;}
		}

		/// <summary>
		/// 地址
		/// </summary>
		public string Address
		{
			get { return m_Address;}
			set { m_Address = value;}
		}

		/// <summary>
		/// 城市
		/// </summary>
		public string City
		{
			get { return m_City;}
			set { m_City = value;}
		}

		/// <summary>
		/// 地区
		/// </summary>
		public string Region
		{
			get { return m_Region;}
			set { m_Region = value;}
		}

		/// <summary>
		/// 邮政编码
		/// </summary>
		public string PostalCode
		{
			get { return m_PostalCode;}
			set { m_PostalCode = value;}
		}

		/// <summary>
		/// 国家
		/// </summary>
		public string Country
		{
			get { return m_Country;}
			set { m_Country = value;}
		}

		/// <summary>
		/// 家庭电话
		/// </summary>
		public string HomePhone
		{
			get { return m_HomePhone;}
			set { m_HomePhone = value;}
		}

		/// <summary>
		/// 电话分机
		/// </summary>
		public string Extension
		{
			get { return m_Extension;}
			set { m_Extension = value;}
		}

		/// <summary>
		/// 照片
		/// </summary>
		public string Photo
		{
			get { return m_Photo;}
			set { m_Photo = value;}
		}

		/// <summary>
		/// 备注
		/// </summary>
		public string Notes
		{
			get { return m_Notes;}
			set { m_Notes = value;}
		}

		/// <summary>
		/// 上级雇员
		/// </summary>
		public int ReportsTo
		{
			get { return m_ReportsTo;}
			set { m_ReportsTo = value;}
		}

		/// <summary>
		/// 图片路径
		/// </summary>
		public string PhotoPath
		{
			get { return m_PhotoPath;}
			set { m_PhotoPath = value;}
		}
      
		#endregion
			     
	}
}