﻿using System; 
using System.Reflection; 
namespace Mengma.Model { 
    


    /// <summary>
    /// 产品（Products）   
    /// </summary>    
    /// <remarks>
    /// 项目名称：WebForm_三层架构Asp.Net经典MSSQL版
    /// 创 建 人：Administrator
    /// 创建日期：2013年10月04日 22:50:49
    /// </remarks>
	public class Products{ 	

		#region 私有属性成员 

       int m_ProductID;           //产品ID 
       string m_ProductName;      //产品名称 
       int m_SupplierID;          //供应商ID 
       int m_CategoryID;          //类别ID 
       string m_QuantityPerUnit;  //数量单位 
       decimal m_UnitPrice;       //单价 
       int m_UnitsInStock;        //库存量 
       int m_UnitsOnOrder;        //订购量 
       int m_ReorderLevel;        //再订购量 
       bool m_Discontinued;       //中止 
 
		#endregion
		
		#region 构造函数 Constructors 
		public Products(){
            m_ProductID = 0;
            m_ProductName = "";
            m_SupplierID = 0;
            m_CategoryID = 0;
            m_QuantityPerUnit = "";
            m_UnitPrice = 0;
            m_UnitsInStock = 0;
            m_UnitsOnOrder = 0;
            m_ReorderLevel = 0;
            m_Discontinued = false;

		}

		public Products(int ProductID,string ProductName,int SupplierID,int CategoryID,string QuantityPerUnit,decimal UnitPrice,int UnitsInStock,int UnitsOnOrder,int ReorderLevel,bool Discontinued){
             m_ProductID = ProductID;
             m_ProductName = ProductName;
             m_SupplierID = SupplierID;
             m_CategoryID = CategoryID;
             m_QuantityPerUnit = QuantityPerUnit;
             m_UnitPrice = UnitPrice;
             m_UnitsInStock = UnitsInStock;
             m_UnitsOnOrder = UnitsOnOrder;
             m_ReorderLevel = ReorderLevel;
             m_Discontinued = Discontinued;
           
		}
		#endregion
		
		#region 公共属性成员 


		/// <summary>
		/// 产品ID
		/// </summary>
		public int ProductID
		{
			get { return m_ProductID;}
			set { m_ProductID = value;}
		}

		/// <summary>
		/// 产品名称
		/// </summary>
		public string ProductName
		{
			get { return m_ProductName;}
			set { m_ProductName = value;}
		}

		/// <summary>
		/// 供应商ID
		/// </summary>
		public int SupplierID
		{
			get { return m_SupplierID;}
			set { m_SupplierID = value;}
		}

		/// <summary>
		/// 类别ID
		/// </summary>
		public int CategoryID
		{
			get { return m_CategoryID;}
			set { m_CategoryID = value;}
		}

		/// <summary>
		/// 数量单位
		/// </summary>
		public string QuantityPerUnit
		{
			get { return m_QuantityPerUnit;}
			set { m_QuantityPerUnit = value;}
		}

		/// <summary>
		/// 单价
		/// </summary>
		public decimal UnitPrice
		{
			get { return m_UnitPrice;}
			set { m_UnitPrice = value;}
		}

		/// <summary>
		/// 库存量
		/// </summary>
		public int UnitsInStock
		{
			get { return m_UnitsInStock;}
			set { m_UnitsInStock = value;}
		}

		/// <summary>
		/// 订购量
		/// </summary>
		public int UnitsOnOrder
		{
			get { return m_UnitsOnOrder;}
			set { m_UnitsOnOrder = value;}
		}

		/// <summary>
		/// 再订购量
		/// </summary>
		public int ReorderLevel
		{
			get { return m_ReorderLevel;}
			set { m_ReorderLevel = value;}
		}

		/// <summary>
		/// 中止
		/// </summary>
		public bool Discontinued
		{
			get { return m_Discontinued;}
			set { m_Discontinued = value;}
		}
      
		#endregion
			     
	}
}