﻿using System; 
using System.Reflection; 
namespace Mengma.Model { 
    


    /// <summary>
    /// 运货商（Shippers）   
    /// </summary>    
    /// <remarks>
    /// 项目名称：WebForm_三层架构Asp.Net经典MSSQL版
    /// 创 建 人：Administrator
    /// 创建日期：2013年10月04日 22:50:49
    /// </remarks>
	public class Shippers{ 	

		#region 私有属性成员 

       int m_ShipperID;       //运货商ID 
       string m_CompanyName;  //公司名称 
       string m_Phone;        //电话 
 
		#endregion
		
		#region 构造函数 Constructors 
		public Shippers(){
            m_ShipperID = 0;
            m_CompanyName = "";
            m_Phone = "";

		}

		public Shippers(int ShipperID,string CompanyName,string Phone){
             m_ShipperID = ShipperID;
             m_CompanyName = CompanyName;
             m_Phone = Phone;
           
		}
		#endregion
		
		#region 公共属性成员 


		/// <summary>
		/// 运货商ID
		/// </summary>
		public int ShipperID
		{
			get { return m_ShipperID;}
			set { m_ShipperID = value;}
		}

		/// <summary>
		/// 公司名称
		/// </summary>
		public string CompanyName
		{
			get { return m_CompanyName;}
			set { m_CompanyName = value;}
		}

		/// <summary>
		/// 电话
		/// </summary>
		public string Phone
		{
			get { return m_Phone;}
			set { m_Phone = value;}
		}
      
		#endregion
			     
	}
}