﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text;
namespace Mengma.Web.Admin
{
    public partial class CategoriesRead : Page
    {
        public string strId = "";
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                if (Request.Params["id"] != null && Request.Params["id"].Trim() != "")
                {
                    strId = Request.Params["id"];
                    int id = Convert.ToInt32(strId);
                    ShowInfo(id);
                }
            }
        }

        /// <summary>
        /// 显示一条类别 数据
        /// </summary>
        /// <param name="Id">主键</param>
        private void ShowInfo(int ID)
        {      
            Mengma.Model.Categories model = new Mengma.BLL.Categories().GetModel(ID);
            //            
            this.CategoryIDLabel.Text = model.CategoryID.ToString(); 
            this.CategoryNameLabel.Text = model.CategoryName.ToString(); 
            this.DescriptionLabel.Text = model.Description.ToString(); 
            this.PictureLabel.Text = model.Picture.ToString(); 


        }
    }
}
