﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text;

namespace Mengma.Web.Admin
{
    public partial class CustomerDemographicsForm : Page
    {
        public string strId = "";
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                if (Request.Params["id"] != null && Request.Params["id"].Trim() != "")
                {
                    strId = Request.Params["id"];
                    string id = strId; //Convert.ToInt32(strId);
                    ShowInfo(id);
                }
                else
                {
                    this.CustomerTypeIDTextBox.Text = "0";//新建记录
                }
            }
        }
        /// <summary>
        /// 显示一条客户统计 数据，为了修改
        /// </summary>
        /// <param name="Id">主键</param>
        private void ShowInfo(string Id)
        {
            Mengma.Model.CustomerDemographics model = new Mengma.BLL.CustomerDemographics().GetModel(Id);
            //
            CustomerTypeIDTextBox.Text = model.CustomerTypeID; 
            CustomerDescTextBox.Text = model.CustomerDesc; 
          

        }

        /// <summary>
        /// 保存一条客户统计 数据
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        public void btnSave_Click(object sender, EventArgs e)
        {
            string strErr = ""; 
            if (strErr != "")
            {
                //请在客户端验证
                return;
            }
            

            Mengma.Model.CustomerDemographics model = new Mengma.Model.CustomerDemographics();
            //
           model.CustomerTypeID = CustomerTypeIDTextBox.Text; 
           model.CustomerDesc = CustomerDescTextBox.Text; 


            string msginfo = "";
            Mengma.BLL.CustomerDemographics bll = new Mengma.BLL.CustomerDemographics();
            if (model.CustomerTypeID == "")
            {
                if (bll.Insert(model))
                {                    
                    Response.Write("<script>alert('保存新增数据成功！');window.location.href='CustomerDemographicsForm.aspx?id=" + model.CustomerTypeID.ToString() + "';</script>");
                }
                else
                    msginfo = bll.getLastErr();
            }
            else
            {
                if (bll.Update(model))
                {
                    Response.Write("<script>alert('保存修改数据成功！');window.location.href='CustomerDemographicsForm.aspx?id=" + model.CustomerTypeID.ToString() + "';</script>");
                }
                else
                    msginfo = bll.getLastErr();
            }
            if (msginfo != "")
            {
                Response.Write("<script>alert('保存失败！');</script>");//
                Response.Write("<script>alert('原因：" + msginfo + "！');</script>");//
            }

        }


        public void btnCancle_Click(object sender, EventArgs e)
        {
            Response.Redirect("CustomerDemographicsList.aspx");
        }
    }
}
