﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text;

namespace Mengma.Web.Admin
{
    public partial class CustomersForm : Page
    {
        public string strId = "";
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                if (Request.Params["id"] != null && Request.Params["id"].Trim() != "")
                {
                    strId = Request.Params["id"];
                    string id = strId; //Convert.ToInt32(strId);
                    ShowInfo(id);
                }
                else
                {
                    this.CustomerIDTextBox.Text = "0";//新建记录
                }
            }
        }
        /// <summary>
        /// 显示一条客户 数据，为了修改
        /// </summary>
        /// <param name="Id">主键</param>
        private void ShowInfo(string Id)
        {
            Mengma.Model.Customers model = new Mengma.BLL.Customers().GetModel(Id);
            //
            CustomerIDTextBox.Text = model.CustomerID; 
            CompanyNameTextBox.Text = model.CompanyName; 
            ContactNameTextBox.Text = model.ContactName; 
            ContactTitleTextBox.Text = model.ContactTitle; 
            AddressTextBox.Text = model.Address; 
            CityTextBox.Text = model.City; 
            RegionTextBox.Text = model.Region; 
            PostalCodeTextBox.Text = model.PostalCode; 
            CountryTextBox.Text = model.Country; 
            PhoneTextBox.Text = model.Phone; 
            FaxTextBox.Text = model.Fax; 
          

        }

        /// <summary>
        /// 保存一条客户 数据
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        public void btnSave_Click(object sender, EventArgs e)
        {
            string strErr = ""; 
            if (strErr != "")
            {
                //请在客户端验证
                return;
            }
            

            Mengma.Model.Customers model = new Mengma.Model.Customers();
            //
           model.CustomerID = CustomerIDTextBox.Text; 
           model.CompanyName = CompanyNameTextBox.Text; 
           model.ContactName = ContactNameTextBox.Text; 
           model.ContactTitle = ContactTitleTextBox.Text; 
           model.Address = AddressTextBox.Text; 
           model.City = CityTextBox.Text; 
           model.Region = RegionTextBox.Text; 
           model.PostalCode = PostalCodeTextBox.Text; 
           model.Country = CountryTextBox.Text; 
           model.Phone = PhoneTextBox.Text; 
           model.Fax = FaxTextBox.Text; 


            string msginfo = "";
            Mengma.BLL.Customers bll = new Mengma.BLL.Customers();
            if (model.CustomerID == "")
            {
                if (bll.Insert(model))
                {                    
                    Response.Write("<script>alert('保存新增数据成功！');window.location.href='CustomersForm.aspx?id=" + model.CustomerID.ToString() + "';</script>");
                }
                else
                    msginfo = bll.getLastErr();
            }
            else
            {
                if (bll.Update(model))
                {
                    Response.Write("<script>alert('保存修改数据成功！');window.location.href='CustomersForm.aspx?id=" + model.CustomerID.ToString() + "';</script>");
                }
                else
                    msginfo = bll.getLastErr();
            }
            if (msginfo != "")
            {
                Response.Write("<script>alert('保存失败！');</script>");//
                Response.Write("<script>alert('原因：" + msginfo + "！');</script>");//
            }

        }


        public void btnCancle_Click(object sender, EventArgs e)
        {
            Response.Redirect("CustomersList.aspx");
        }
    }
}
