﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text;
namespace Mengma.Web.Admin
{
    public partial class CustomersRead : Page
    {
        public string strId = "";
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                if (Request.Params["id"] != null && Request.Params["id"].Trim() != "")
                {
                    strId = Request.Params["id"];
                    string id = strId; //Convert.ToInt32(strId);
                    ShowInfo(id);
                }
            }
        }

        /// <summary>
        /// 显示一条客户 数据
        /// </summary>
        /// <param name="Id">主键</param>
        private void ShowInfo(string ID)
        {      
            Mengma.Model.Customers model = new Mengma.BLL.Customers().GetModel(ID);
            //            
            this.CustomerIDLabel.Text = model.CustomerID.ToString(); 
            this.CompanyNameLabel.Text = model.CompanyName.ToString(); 
            this.ContactNameLabel.Text = model.ContactName.ToString(); 
            this.ContactTitleLabel.Text = model.ContactTitle.ToString(); 
            this.AddressLabel.Text = model.Address.ToString(); 
            this.CityLabel.Text = model.City.ToString(); 
            this.RegionLabel.Text = model.Region.ToString(); 
            this.PostalCodeLabel.Text = model.PostalCode.ToString(); 
            this.CountryLabel.Text = model.Country.ToString(); 
            this.PhoneLabel.Text = model.Phone.ToString(); 
            this.FaxLabel.Text = model.Fax.ToString(); 


        }
    }
}
