﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text;

namespace Mengma.Web.Admin
{
    public partial class ShippersForm : Page
    {
        public string strId = "";
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                if (Request.Params["id"] != null && Request.Params["id"].Trim() != "")
                {
                    strId = Request.Params["id"];
                    int id = Convert.ToInt32(strId);
                    ShowInfo(id);
                }
                else
                {
                    this.ShipperIDTextBox.Text = "0";//新建记录
                }
            }
        }
        /// <summary>
        /// 显示一条运货商 数据，为了修改
        /// </summary>
        /// <param name="Id">主键</param>
        private void ShowInfo(int Id)
        {
            Mengma.Model.Shippers model = new Mengma.BLL.Shippers().GetModel(Id);
            //
            ShipperIDTextBox.Text = model.ShipperID.ToString(); 
            CompanyNameTextBox.Text = model.CompanyName; 
            PhoneTextBox.Text = model.Phone; 
          

        }

        /// <summary>
        /// 保存一条运货商 数据
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        public void btnSave_Click(object sender, EventArgs e)
        {
            string strErr = ""; 
            if (strErr != "")
            {
                //请在客户端验证
                return;
            }
            

            Mengma.Model.Shippers model = new Mengma.Model.Shippers();
            //
           model.ShipperID = (ShipperIDTextBox.Text !="")? Convert.ToInt32(ShipperIDTextBox.Text): 0; 
           model.CompanyName = CompanyNameTextBox.Text; 
           model.Phone = PhoneTextBox.Text; 


            string msginfo = "";
            Mengma.BLL.Shippers bll = new Mengma.BLL.Shippers();
            if (model.ShipperID == 0)
            {
                if (bll.Insert(model))
                {                    
                    Response.Write("<script>alert('保存新增数据成功！');window.location.href='ShippersForm.aspx?id=" + model.ShipperID.ToString() + "';</script>");
                }
                else
                    msginfo = bll.getLastErr();
            }
            else
            {
                if (bll.Update(model))
                {
                    Response.Write("<script>alert('保存修改数据成功！');window.location.href='ShippersForm.aspx?id=" + model.ShipperID.ToString() + "';</script>");
                }
                else
                    msginfo = bll.getLastErr();
            }
            if (msginfo != "")
            {
                Response.Write("<script>alert('保存失败！');</script>");//
                Response.Write("<script>alert('原因：" + msginfo + "！');</script>");//
            }

        }


        public void btnCancle_Click(object sender, EventArgs e)
        {
            Response.Redirect("ShippersList.aspx");
        }
    }
}
