﻿using System; 
using System.Reflection; 
namespace Mengma.Model { 
    


    /// <summary>
    /// 订单明细（Order Details）   
    /// </summary>    
    /// <remarks>
    /// 项目名称：WebForm_三层架构Asp.Net经典MSSQL版
    /// 创 建 人：Administrator
    /// 创建日期：2013年10月04日 22:50:49
    /// </remarks>
	public class OrderDetails{ 	

		#region 私有属性成员 

       int m_OrderID;        //订单ID 
       int m_ProductID;      //产品ID 
       decimal m_UnitPrice;  //单价 
       int m_Quantity;       //数量 
       string m_Discount;    //折扣 
 
		#endregion
		
		#region 构造函数 Constructors 
		public OrderDetails(){
            m_OrderID = 0;
            m_ProductID = 0;
            m_UnitPrice = 0;
            m_Quantity = 0;
            m_Discount = "0";

		}

		public OrderDetails(int OrderID,int ProductID,decimal UnitPrice,int Quantity,string Discount){
             m_OrderID = OrderID;
             m_ProductID = ProductID;
             m_UnitPrice = UnitPrice;
             m_Quantity = Quantity;
             m_Discount = Discount;
           
		}
		#endregion
		
		#region 公共属性成员 


		/// <summary>
		/// 订单ID
		/// </summary>
		public int OrderID
		{
			get { return m_OrderID;}
			set { m_OrderID = value;}
		}

		/// <summary>
		/// 产品ID
		/// </summary>
		public int ProductID
		{
			get { return m_ProductID;}
			set { m_ProductID = value;}
		}

		/// <summary>
		/// 单价
		/// </summary>
		public decimal UnitPrice
		{
			get { return m_UnitPrice;}
			set { m_UnitPrice = value;}
		}

		/// <summary>
		/// 数量
		/// </summary>
		public int Quantity
		{
			get { return m_Quantity;}
			set { m_Quantity = value;}
		}

		/// <summary>
		/// 折扣
		/// </summary>
		public string Discount
		{
			get { return m_Discount;}
			set { m_Discount = value;}
		}
      
		#endregion
			     
	}
}