﻿using System; 
using System.Reflection; 
namespace Mengma.Model { 
    


    /// <summary>
    /// 领域（Territories）   
    /// </summary>    
    /// <remarks>
    /// 项目名称：WebForm_三层架构Asp.Net经典MSSQL版
    /// 创 建 人：Administrator
    /// 创建日期：2013年10月04日 22:50:49
    /// </remarks>
	public class Territories{ 	

		#region 私有属性成员 

       string m_TerritoryID;           //领域ID 
       string m_TerritoryDescription;  //领域描述 
       int m_RegionID;                 //所属地区ID 
 
		#endregion
		
		#region 构造函数 Constructors 
		public Territories(){
            m_TerritoryID = "";
            m_TerritoryDescription = "";
            m_RegionID = 0;

		}

		public Territories(string TerritoryID,string TerritoryDescription,int RegionID){
             m_TerritoryID = TerritoryID;
             m_TerritoryDescription = TerritoryDescription;
             m_RegionID = RegionID;
           
		}
		#endregion
		
		#region 公共属性成员 


		/// <summary>
		/// 领域ID
		/// </summary>
		public string TerritoryID
		{
			get { return m_TerritoryID;}
			set { m_TerritoryID = value;}
		}

		/// <summary>
		/// 领域描述
		/// </summary>
		public string TerritoryDescription
		{
			get { return m_TerritoryDescription;}
			set { m_TerritoryDescription = value;}
		}

		/// <summary>
		/// 所属地区ID
		/// </summary>
		public int RegionID
		{
			get { return m_RegionID;}
			set { m_RegionID = value;}
		}
      
		#endregion
			     
	}
}